Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface JMSServerMBean

public interface JMSServerMBean
extends DeploymentMBean, JMSConstants

This Mbean defines a JMS Server.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, NO_DELIVERY, NON_PERSISTENT, PERSISTENT, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Method Summary
`boolean` | `addDestination(JMSDestinationMBean destination)` Add a JMSDestination to the JMS Server
`boolean` | `addSessionPool(JMSSessionPoolMBean sessionPool)` Add a session pool to the JMS Server.
`long` | `getBytesMaximum()` Returns the value of bytesMaximum.
`long` | `getBytesThresholdHigh()` Returns the value of bytesThresholdHigh.
`long` | `getBytesThresholdLow()` Returns the value of bytesThresholdLow
`JMSDestinationMBean[]` | `getDestinations()` Return map containing all defined destinations and their associated JNDI names.
`long` | `getMessagesMaximum()` Returns the value of messagesMaximum.
`long` | `getMessagesThresholdHigh()` Returns the value of messagesThresholdHigh.
`long` | `getMessagesThresholdLow()` Returns the value of messagesThresholdLow
`JMSSessionPoolMBean[]` | `getSessionPools()` Get all the session pools defined for the JMS Server.
`JMSStoreMBean` | `getStore()` Get the backing store for the JMS server.
`JMSTemplateMBean` | `getTemporaryTemplate()` Return the temporary template for the JMS Server
`boolean` | `removeDestination(JMSDestinationMBean destination)` Removes a destination from the JNDI tree.
`boolean` | `removeSessionPool(JMSSessionPoolMBean sessionPool)` Remove a session pool from the JMS Server.
`void` | `setBytesMaximum(long bytesMaximum)` Set the value of bytesMaximum.
`void` | `setBytesThresholdHigh(long bytesThresholdHigh)` Set the value of bytesThresholdHigh.
`void` | `setBytesThresholdLow(long bytesThresholdLow)` Set the value of bytesThresholdLow.
`void` | `setDestinations(JMSDestinationMBean[] destinations)` Set all defined destinations
`void` | `setMessagesMaximum(long messagesMaximum)` Set the value of messagesMaximum.
`void` | `setMessagesThresholdHigh(long messagesThresholdHigh)` Set the value of messagesThresholdHigh.
`void` | `setMessagesThresholdLow(long messagesThresholdLow)` Set the value of messagesThresholdLow.
`void` | `setSessionPools(JMSSessionPoolMBean[] sessionPools)` Set all the session pools defined for the JMS Server.
`void` | `setStore(JMSStoreMBean store)` Set the backing store for the JMS server.
`void` | `setTemporaryTemplate(JMSTemplateMBean temporaryTemplate)` Set the temporary template that is used to create all temporary destinations on this JMS Server.

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`getNotes, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getSessionPools

    public JMSSessionPoolMBean[] getSessionPools()

  Get all the session pools defined for the JMS Server.

  A non-configurable MBean attribute.

### setSessionPools

    public void setSessionPools(JMSSessionPoolMBean[] sessionPools)
                         throws javax.management.InvalidAttributeValueException

  Set all the session pools defined for the JMS Server.

### addSessionPool

    public boolean addSessionPool(JMSSessionPoolMBean sessionPool)
                           throws javax.management.InvalidAttributeValueException,
                                  DistributedManagementException

  Add a session pool to the JMS Server.

  A dynamic MBean attribute
  Parameters:
    `sessionPool` - the sessionPool to add to the JMS Server

### removeSessionPool

    public boolean removeSessionPool(JMSSessionPoolMBean sessionPool)
                              throws javax.management.InvalidAttributeValueException,
                                     DistributedManagementException

  Remove a session pool from the JMS Server.

  A dynamic MBean attribute
  Parameters:
    `sessionPool` - the sessionPool to remove from the JMS Server
  Throws:
    java.lang.IllegalArgumentException - if the sessionPool does not exist.

### getDestinations

    public JMSDestinationMBean[] getDestinations()

  Return map containing all defined destinations and their associated JNDI names.

  A non-configurable MBean attribute.

### setDestinations

    public void setDestinations(JMSDestinationMBean[] destinations)
                         throws javax.management.InvalidAttributeValueException

  Set all defined destinations

### addDestination

    public boolean addDestination(JMSDestinationMBean destination)
                           throws javax.management.InvalidAttributeValueException,
                                  DistributedManagementException

  Add a JMSDestination to the JMS Server

  A dynamic MBean attribute
  Parameters:
    `destination` - the destination to be added to the JMS Server
  Throws:
    java.lang.IllegalArgumentException - if destination is null or exists

### removeDestination

    public boolean removeDestination(JMSDestinationMBean destination)
                              throws javax.management.InvalidAttributeValueException,
                                     DistributedManagementException

  Removes a destination from the JNDI tree.

  A dynamic MBean attribute
  Parameters:
    `destination` - the destination to be removed from the JMS Server
  Throws:
    java.lang.IllegalArgumentException - if destination is null or does not exist

### getStore

    public JMSStoreMBean getStore()

  Get the backing store for the JMS server.

### setStore

    public void setStore(JMSStoreMBean store)
                  throws javax.management.InvalidAttributeValueException

  Set the backing store for the JMS server. A backing store may only be used by one JMS server.

  Default Value: null
  Legal Value: ((value == void)?(true):(weblogic.management.configuration.JMSServerStoreLegalHelper.isUnowned(self, value)))

### getTemporaryTemplate

    public JMSTemplateMBean getTemporaryTemplate()

  Return the temporary template for the JMS Server

### setTemporaryTemplate

    public void setTemporaryTemplate(JMSTemplateMBean temporaryTemplate)
                              throws javax.management.InvalidAttributeValueException

  Set the temporary template that is used to create all temporary destinations on this JMS Server. The attributes for the temporary destinations are derived from the template. If no temporary template is defined for the JMS server, then temporary destinations receive the default values for destinations.

  Default Value: null
  Parameters:
    `temporaryTemplate` - the temporaty template for the JMS Server

### getBytesMaximum

    public long getBytesMaximum()

  Returns the value of bytesMaximum.

### setBytesMaximum

    public void setBytesMaximum(long bytesMaximum)
                         throws javax.management.InvalidAttributeValueException,
                                DistributedManagementException

  Set the value of bytesMaximum. This is the maximum number of bytes that can be stored in the JMS Server at any one time. A value of zero means there is no limit.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((0 <= value) && ( ((weblogic.management.configuration.JMSServerMBean)self).getBytesThresholdHigh() <= value) && (value <= ((1 << 63) - 1)))
  Legal Minimum Value: -1

### getBytesThresholdHigh

    public long getBytesThresholdHigh()

  Returns the value of bytesThresholdHigh.

### setBytesThresholdHigh

    public void setBytesThresholdHigh(long bytesThresholdHigh)
                               throws javax.management.InvalidAttributeValueException,
                                      DistributedManagementException

  Set the value of bytesThresholdHigh. If there is no threshold condition and the number of bytes stored in the JMS Server exceeds this value, then the condition is set and an event is generated

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((value >= 0) && (value > ((weblogic.management.configuration.JMSServerMBean)self).getBytesThresholdLow()) && ((((weblogic.management.configuration.JMSServerMBean)self).getBytesMaximum() == -1) || (value <= ((weblogic.management.configuration.JMSServerMBean)self).getBytesMaximum())) && (value <= ((1 << 63) - 1)))
  Legal Minimum Value: -1

### getBytesThresholdLow

    public long getBytesThresholdLow()

  Returns the value of bytesThresholdLow

### setBytesThresholdLow

    public void setBytesThresholdLow(long bytesThresholdLow)
                              throws javax.management.InvalidAttributeValueException,
                                     DistributedManagementException

  Set the value of bytesThresholdLow. If there is a threshold condition and the nubmer of bytes stored in the JMS Server drops below this value, then the condition is cleared and an event is generated.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((0 <= value) && (( ((weblogic.management.configuration.JMSServerMBean)self).getBytesThresholdHigh() == -1) || (value < ((weblogic.management.configuration.JMSServerMBean)self).getBytesThresholdHigh())))
  Legal Minimum Value: -1

### getMessagesMaximum

    public long getMessagesMaximum()

  Returns the value of messagesMaximum.

### setMessagesMaximum

    public void setMessagesMaximum(long messagesMaximum)
                            throws javax.management.InvalidAttributeValueException,
                                   DistributedManagementException

  Set the value of messagesMaximum. This is the maximum number of messages that can be stored in the JMS Server at any one time. A value of zero means there is no limit.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((0 <= value) && (((weblogic.management.configuration.JMSServerMBean)self).getMessagesThresholdHigh() <= value) && (value <= ((1 << 63) - 1)))
  Legal Minimum Value: -1

### getMessagesThresholdHigh

    public long getMessagesThresholdHigh()

  Returns the value of messagesThresholdHigh.

### setMessagesThresholdHigh

    public void setMessagesThresholdHigh(long messagesThresholdHigh)
                                  throws javax.management.InvalidAttributeValueException

  Set the value of messagesThresholdHigh. If there is no threshold condition and the number of messages stored in the JMS Server exceeds this value, then the condition is set and an event is generated

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((value >= 0) && (value > ((weblogic.management.configuration.JMSServerMBean)self).getMessagesThresholdLow()) && ((((weblogic.management.configuration.JMSServerMBean)self).getMessagesMaximum() == -1) || (value <= ((weblogic.management.configuration.JMSServerMBean)self).getMessagesMaximum())) && (value <= ((1 << 63) - 1)))
  Legal Minimum Value: -1

### getMessagesThresholdLow

    public long getMessagesThresholdLow()

  Returns the value of messagesThresholdLow

### setMessagesThresholdLow

    public void setMessagesThresholdLow(long messagesThresholdLow)
                                 throws javax.management.InvalidAttributeValueException,
                                        DistributedManagementException

  Set the value of messagesThresholdLow. If there is a threshold condition and the nubmer of messages stored in the JMS Server drops below this value, then the condition is cleared and an event is generated.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((0 <= value) && (((weblogic.management.configuration.JMSServerMBean)self).getMessagesThresholdHigh() == -1 || value < ((weblogic.management.configuration.JMSServerMBean)self).getMessagesThresholdHigh()) && (value <= ((1 << 63) - 1)))
  Legal Minimum Value: -1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD